Page MenuHomePhabricator

html <title> continues to say "Editing..." after I saved an edit using VisualEditor (and interwiki links are gone)
Closed, DuplicatePublic8 Story Points

Description

  1. I clicked edit initially to edit the wikitext, and then switched to visual edtior.
  2. then added a reference using the cite tool.
  3. then saved the edit (without preview)
  4. the <title> text in the browser tab continues to say "Editing 2011 Chr...". As well, the interwiki language links from Wikidata are gone.
  5. When I reload the page, the title text is ok again and the interwiki links are there again.

F3314516 (screenshot)

It just feels a bit weird and confusing, making me wonder am i still in edit mode or not? and not sure what's going on with the interwiki links, though might be unrelated.

Event Timeline

aude created this task.Feb 5 2016, 10:31 PM
aude raised the priority of this task from to Needs Triage.
aude updated the task description. (Show Details)
aude added projects: VisualEditor, Wikidata.
aude added a subscriber: aude.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 5 2016, 10:31 PM
aude added a comment.EditedFeb 5 2016, 10:38 PM

regarding no interwiki links, might be related to T47839

in the source of the page after save, I have:

<!-- 
NewPP limit report
Parsed by mw1187
Cached time: 20160205222357
Cache expiry: 2592000
Dynamic content: false
CPU time usage: 2.471 seconds
Real time usage: 2.729 seconds
Preprocessor visited node count: 15023/1000000
Preprocessor generated node count: 0/1500000
Post‐expand include size: 494565/2097152 bytes
Template argument size: 8934/2097152 bytes
Highest expansion depth: 19/40
Expensive parser function count: 14/500
Lua time usage: 1.127/10.000 seconds
Lua memory usage: 9.05 MB/50 MB
Number of Wikibase entities loaded: 1-->

<!-- 
Transclusion expansion time report (%,ms,calls,template)
100.00% 2346.524      1 - -total
 59.41% 1394.185      1 - Template:Reflist
 25.06%  588.086    143 - Template:Cite_news
 15.22%  357.072     81 - Template:Cite_web
  7.31%  171.440      1 - Template:Earthquake
  7.03%  164.904      1 - Template:Infobox
  3.50%   82.112     17 - Template:Flagu
  3.40%   79.774     11 - Template:Navbox
  2.64%   61.896      1 - Template:Pp-pc1
  2.41%   56.525      8 - Template:Convert
-->

(so 1 wikibase item was loaded)

aude updated the task description. (Show Details)Feb 5 2016, 10:40 PM
aude set Security to None.
Jdforrester-WMF triaged this task as Normal priority.Feb 9 2016, 8:12 PM
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Jdforrester-WMF set the point value for this task to 8.May 2 2016, 4:27 PM
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.May 3 2016, 10:51 AM

Change 326999 had a related patch set uploaded (by DLynch):
DesktopArticleTarget: Generate the original page title if needed

https://gerrit.wikimedia.org/r/326999

Change 326999 merged by jenkins-bot:
DesktopArticleTarget: Generate the original page title if needed

https://gerrit.wikimedia.org/r/326999

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Title is now fixed in master.

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 26 2017, 10:38 AM